Package com.sun.grid.ca

# Class Main

java.lang.Object
com.sun.grid.ca.Main

public class Main extends Object
CLI util for the `GridCA`.

### Usage of the CLI util

     com.sun.grid.ca.Main [options] <command>

      Commands:

         init                initialize CA infrastructure
         user <u:g:e>        generate certificates and keys for <u:g:e>
                             with u=Unix User, g=Common Name, e=email
         initks <type> <u> <file> [<pwfile>]  create keystore for user <u>
         printcert <u>       print certificate of a user
         renew <u> [<days>]  renew certificate for a user

      Mandatory Options:
        -catop      <dir>       path to the ca root directory
        -calocaltop <dir>       path to the local ca root directory
        -cascript <script>      path to the sge_ca script

      Optional Options:
        -tmp <dir>              path tmp files (default system property java.io.tmp)
        -config <dir>           path to CA configuration files (default $cadist/util/sgeCA
        -adminuser <user>       name of the admin user (default system proeprty user.name)
        -days <days>            number of days the certificates are valid (default 365 days)

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`TYPE_DAEMON`
`static final int`
`TYPE_SGE_DAEMON`
`static final int`
`TYPE_USER`

## Constructor Summary

Constructors
Constructor
Description
`Main()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`static int`
`parseType(String type)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### TYPE_USER

public static final int TYPE_USER

See Also:
  - Constant Field Values

### TYPE_DAEMON

public static final int TYPE_DAEMON

See Also:
  - Constant Field Values

### TYPE_SGE_DAEMON

public static final int TYPE_SGE_DAEMON

See Also:
  - Constant Field Values

## Constructor Details

### Main

public Main()

## Method Details

### main

public static void main(String[] args)

Parameters:
  `args` - the command line arguments

### parseType

public static int parseType(String type)